## ros-indigo-roslaunch 1.11.21

=== debian/changelog ===
ros-indigo-roslaunch (1.11.21-0trusty) trusty; urgency=high

  * improve error message for invalid tags (#989 <https://github.com/ros/ros_comm/pull/989>)
  * fix caching logic to improve performance (#931 <https://github.com/ros/ros_comm/pull/931>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Mar 2017 08:00:00 -0000

ros-indigo-roslaunch (1.11.20-0trusty) trusty; urgency=high

  * fix roslaunch check for multiple tests with multiple args (#814 <https://github.com/ros/ros_comm/pull/814>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jun 2016 07:00:00 -0000

ros-indigo-roslaunch (1.11.19-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-indigo-roslaunch (1.11.18-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-indigo-roslaunch (1.11.17-0trusty) trusty; urgency=high

  * improve roslaunch-check to not fail if recursive dependencies lack dependencies (#730 <https://github.com/ros/ros_comm/pull/730>)
  * add "pass_all_args" attribute to roslaunch "include" tag (#710 <https://github.com/ros/ros_comm/pull/710>)
  * fix a typo in unknown host error message (#735 <https://github.com/ros/ros_comm/pull/735>)
  * wait for param server to be available before trying to get param (#711 <https://github.com/ros/ros_comm/pull/711>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-indigo-roslaunch (1.11.16-0trusty) trusty; urgency=high

  * add -w and -t options (#687 <https://github.com/ros/ros_comm/pull/687>)
  * fix missing minimum version for rospkg dependency (#693 <https://github.com/ros/ros_comm/issues/693>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-indigo-roslaunch (1.11.15-0trusty) trusty; urgency=high

  * improve performance by reusing the rospack instance across nodes with the same default environment (#682 <https://github.com/ros/ros_comm/pull/682>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-indigo-roslaunch (1.11.14-0trusty) trusty; urgency=high

  * add more information when test times out

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-indigo-roslaunch (1.11.13-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-indigo-roslaunch (1.11.12-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-indigo-roslaunch (1.11.11-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-indigo-roslaunch (1.11.10-0trusty) trusty; urgency=high

  * fix exception at roscore startup if python has IPv6 disabled (#515 <https://github.com/ros/ros_comm/issues/515>)
  * fix error handling (#516 <https://github.com/ros/ros_comm/pull/516>)
  * fix compatibility with paramiko 1.10.0 (#498 <https://github.com/ros/ros_comm/pull/498>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-indigo-roslaunch (1.11.9-0trusty) trusty; urgency=high

  * fix usage of logger before it is initialized (#490 <https://github.com/ros/ros_comm/issues/490>) (regression from 1.11.6)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-indigo-roslaunch (1.11.8-0trusty) trusty; urgency=high

  * remove implicit rostest dependency and use rosunit instead (#475 <https://github.com/ros/ros_comm/issues/475>)
  * accept stdin input alongside files (#472 <https://github.com/ros/ros_comm/issues/472>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-indigo-roslaunch (1.11.7-0trusty) trusty; urgency=high

  * fix the ROS_MASTER_URI environment variable logic on Windows (#2 <https://github.com/windows/ros_comm/issues/2>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-indigo-roslaunch (1.11.6-0trusty) trusty; urgency=high

  * fix printing of non-ascii roslaunch parameters (#454 <https://github.com/ros/ros_comm/issues/454>)
  * add respawn_delay attribute to node tag in roslaunch (#446 <https://github.com/ros/ros_comm/issues/446>)
  * write traceback for exceptions in roslaunch to log file

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-indigo-roslaunch (1.11.5-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-indigo-roslaunch (1.11.4-0trusty) trusty; urgency=high

  * fix handling of if/unless attributes on args (#437 <https://github.com/ros/ros_comm/issues/437>)
  * improve parameter printing in roslaunch (#89 <https://github.com/ros/ros_comm/issues/89>)
  * Python 3 compatibility (#426 <https://github.com/ros/ros_comm/issues/426>, #427 <https://github.com/ros/ros_comm/issues/427>, #429 <https://github.com/ros/ros_comm/issues/429>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-indigo-roslaunch (1.11.3-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-indigo-roslaunch (1.11.2-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-indigo-roslaunch (1.11.1-0trusty) trusty; urgency=high

  * fix roslaunch anonymous function to generate the same output for the same input (#297 <https://github.com/ros/ros_comm/issues/297>)
  * add doc attribute to roslaunch arg tags (#379 <https://github.com/ros/ros_comm/issues/379>)
  * print parameter values in roslaunch (#89 <https://github.com/ros/ros_comm/issues/89>)
  * add architecture_independent flag in package.xml (#391 <https://github.com/ros/ros_comm/issues/391>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-indigo-roslaunch (1.11.0-0trusty) trusty; urgency=high


